Page 13 of 15

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Wed May 27, 2020 3:56 am
by linurjob
Thanks, but this can be fixed this way too - viewtopic.php?p=82162#p82013
Я пытался это сделать методом который указан, но у меня не получилось, поэтому я привел решение для тех кто не сможет сделать иначе. Мой метод который выше написан мною подошел для меня. Debian 9.
I tried to do it by the method listed, but I failed, so I brought the solution for those who can't do otherwise. My method which I have written above came to me. Debian 9.

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Sat May 30, 2020 7:48 am
by lamnian
Hello,

Can some one add support for php 5.5, please?

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Sat May 30, 2020 10:31 am
by dpeca
lamnian wrote:
Sat May 30, 2020 7:48 am
Hello,

Can some one add support for php 5.5, please?
https://oweissbarth.de/building-php-fpm ... ntu-linux/
and change my template to point to /etc/php/ instead /etc/php/5.6/

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Sat May 30, 2020 12:11 pm
by lamnian
dpeca wrote:
Sat May 30, 2020 10:31 am

https://oweissbarth.de/building-php-fpm ... ntu-linux/
and change my template to point to /etc/php/ instead /etc/php/5.6/
Thanks but I cake make the php I get errors from openssl

/root/php-5.5.10/ext/openssl/openssl.c: In function 'add_assoc_name_entry':
/root/php-5.5.10/ext/openssl/openssl.c:612:4: warning: 'ASN1_STRING_data' is deprecated [-Wdeprecated-declarations]
to_add = ASN1_STRING_data(str);
^~~~~~
In file included from /usr/include/openssl/evp.h:13:0,
from /root/php-5.5.10/ext/openssl/openssl.c:43:
/usr/include/openssl/asn1.h:554:1: note: declared here
DEPRECATEDIN_1_1_0(unsigned char *ASN1_STRING_data(ASN1_STRING *x))
^
/root/php-5.5.10/ext/openssl/openssl.c: In function 'asn1_time_to_time_t':
/root/php-5.5.10/ext/openssl/openssl.c:665:2: warning: 'ASN1_STRING_data' is deprecated [-Wdeprecated-declarations]
if (ASN1_STRING_length(timestr) != strlen(ASN1_STRING_data(timestr))) {
^~
In file included from /usr/include/openssl/evp.h:13:0,
from /root/php-5.5.10/ext/openssl/openssl.c:43:
/usr/include/openssl/asn1.h:554:1: note: declared here
DEPRECATEDIN_1_1_0(unsigned char *ASN1_STRING_data(ASN1_STRING *x))
^
/root/php-5.5.10/ext/openssl/openssl.c:675:2: warning: 'ASN1_STRING_data' is deprecated [-Wdeprecated-declarations]
strbuf = estrdup((char *)ASN1_STRING_data(timestr));
^~~~~~
In file included from /usr/include/openssl/evp.h:13:0,
from /root/php-5.5.10/ext/openssl/openssl.c:43:
/usr/include/openssl/asn1.h:554:1: note: declared here
DEPRECATEDIN_1_1_0(unsigned char *ASN1_STRING_data(ASN1_STRING *x))
^
/root/php-5.5.10/ext/openssl/openssl.c: In function 'php_openssl_load_rand_file':
/root/php-5.5.10/ext/openssl/openssl.c:913:13: warning: implicit declaration of function 'RAND_egd' [-Wimplicit-function-declaration]
} else if (RAND_egd(file) > 0) {
^~~~~~~~
/root/php-5.5.10/ext/openssl/openssl.c: In function 'php_openssl_get_evp_md_from_algo':
/root/php-5.5.10/ext/openssl/openssl.c:972:24: warning: implicit declaration of function 'EVP_dss1' [-Wimplicit-function-declaration]
mdtype = (EVP_MD *) EVP_dss1();
^~~~~~~~
/root/php-5.5.10/ext/openssl/openssl.c:972:13: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
mdtype = (EVP_MD *) EVP_dss1();
^
/root/php-5.5.10/ext/openssl/openssl.c: In function 'openssl_x509v3_subjectAltName':
/root/php-5.5.10/ext/openssl/openssl.c:1428:15: error: dereferencing pointer to incomplete type 'X509_EXTENSION {aka struct X509_extension_st}'
p = extension->value->data;
^~
/root/php-5.5.10/ext/openssl/openssl.c:1449:6: warning: 'ASN1_STRING_data' is deprecated [-Wdeprecated-declarations]
BIO_write(bio, ASN1_STRING_data(as),
^~~~~~~~~
In file included from /usr/include/openssl/evp.h:13:0,
from /root/php-5.5.10/ext/openssl/openssl.c:43:
/usr/include/openssl/asn1.h:554:1: note: declared here
DEPRECATEDIN_1_1_0(unsigned char *ASN1_STRING_data(ASN1_STRING *x))
^
/root/php-5.5.10/ext/openssl/openssl.c:1455:6: warning: 'ASN1_STRING_data' is deprecated [-Wdeprecated-declarations]
BIO_write(bio, ASN1_STRING_data(as),
^~~~~~~~~
In file included from /usr/include/openssl/evp.h:13:0,
from /root/php-5.5.10/ext/openssl/openssl.c:43:
/usr/include/openssl/asn1.h:554:1: note: declared here
DEPRECATEDIN_1_1_0(unsigned char *ASN1_STRING_data(ASN1_STRING *x))
^
/root/php-5.5.10/ext/openssl/openssl.c:1461:6: warning: 'ASN1_STRING_data' is deprecated [-Wdeprecated-declarations]
BIO_write(bio, ASN1_STRING_data(as),
^~~~~~~~~
In file included from /usr/include/openssl/evp.h:13:0,
from /root/php-5.5.10/ext/openssl/openssl.c:43:
/usr/include/openssl/asn1.h:554:1: note: declared here
DEPRECATEDIN_1_1_0(unsigned char *ASN1_STRING_data(ASN1_STRING *x))
^
/root/php-5.5.10/ext/openssl/openssl.c: In function 'zif_openssl_x509_parse':
/root/php-5.5.10/ext/openssl/openssl.c:1506:10: error: dereferencing pointer to incomplete type 'X509 {aka struct x509_st}'
if (cert->name) {
^~
/root/php-5.5.10/ext/openssl/openssl.c: In function 'php_openssl_generate_private_key':
/root/php-5.5.10/ext/openssl/openssl.c:2934:5: warning: 'RSA_generate_key' is deprecated [-Wdeprecated-declarations]
if (EVP_PKEY_assign_RSA(req->priv_key, RSA_generate_key(req->priv_key_bits, 0x10001, NULL, NULL))) {
^~
In file included from /usr/include/openssl/evp.h:13:0,
from /root/php-5.5.10/ext/openssl/openssl.c:43:
/usr/include/openssl/rsa.h:235:1: note: declared here
DEPRECATEDIN_0_9_8(RSA *RSA_generate_key(int bits, unsigned long e, void
^
/root/php-5.5.10/ext/openssl/openssl.c:2941:6: warning: 'DSA_generate_parameters' is deprecated [-Wdeprecated-declarations]
DSA *dsapar = DSA_generate_parameters(req->priv_key_bits, NULL, 0, NULL, NULL, NULL, NULL);
^~~
In file included from /usr/include/openssl/evp.h:13:0,
from /root/php-5.5.10/ext/openssl/openssl.c:43:
/usr/include/openssl/dsa.h:117:1: note: declared here
DEPRECATEDIN_0_9_8(DSA *DSA_generate_parameters(int bits,
^
/root/php-5.5.10/ext/openssl/openssl.c:2958:6: warning: 'DH_generate_parameters' is deprecated [-Wdeprecated-declarations]
DH *dhpar = DH_generate_parameters(req->priv_key_bits, 2, NULL, NULL);
^~
In file included from /usr/include/openssl/evp.h:13:0,
from /root/php-5.5.10/ext/openssl/openssl.c:43:
/usr/include/openssl/dh.h:136:1: note: declared here
DEPRECATEDIN_0_9_8(DH *DH_generate_parameters(int prime_len, int generator,
^
/root/php-5.5.10/ext/openssl/openssl.c: In function 'php_openssl_is_private_key':
/root/php-5.5.10/ext/openssl/openssl.c:2997:14: error: dereferencing pointer to incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
switch (pkey->type) {
^~
/root/php-5.5.10/ext/openssl/openssl.c: In function 'zif_openssl_pkey_new':
/root/php-5.5.10/ext/openssl/openssl.c:3060:9: error: dereferencing pointer to incomplete type 'RSA {aka struct rsa_st}'
_type->_name = BN_bin2bn( \
^
/root/php-5.5.10/ext/openssl/openssl.c:3089:6: note: in expansion of macro 'OPENSSL_PKEY_SET_BN'
OPENSSL_PKEY_SET_BN(Z_ARRVAL_PP(data), rsa, n);
^~~~~~~~~~~~~~~~~~~
/root/php-5.5.10/ext/openssl/openssl.c:3060:9: error: dereferencing pointer to incomplete type 'DSA {aka struct dsa_st}'
_type->_name = BN_bin2bn( \
^
/root/php-5.5.10/ext/openssl/openssl.c:3113:6: note: in expansion of macro 'OPENSSL_PKEY_SET_BN'
OPENSSL_PKEY_SET_BN(Z_ARRVAL_PP(data), dsa, p);
^~~~~~~~~~~~~~~~~~~
/root/php-5.5.10/ext/openssl/openssl.c:3060:9: error: dereferencing pointer to incomplete type 'DH {aka struct dh_st}'
_type->_name = BN_bin2bn( \
^
/root/php-5.5.10/ext/openssl/openssl.c:3137:6: note: in expansion of macro 'OPENSSL_PKEY_SET_BN'
OPENSSL_PKEY_SET_BN(Z_ARRVAL_PP(data), dh, p);
^~~~~~~~~~~~~~~~~~~
/root/php-5.5.10/ext/openssl/openssl.c: In function 'zif_openssl_sign':
/root/php-5.5.10/ext/openssl/openssl.c:4216:13: error: storage size of 'md_ctx' isn't known
EVP_MD_CTX md_ctx;
^~~~~~
/root/php-5.5.10/ext/openssl/openssl.c:4260:2: warning: implicit declaration of function 'EVP_MD_CTX_cleanup' [-Wimplicit-function-declaration]
EVP_MD_CTX_cleanup(&md_ctx);
^~~~~~~~~~~~~~~~~~
/root/php-5.5.10/ext/openssl/openssl.c: In function 'zif_openssl_verify':
/root/php-5.5.10/ext/openssl/openssl.c:4274:17: error: storage size of 'md_ctx' isn't known
EVP_MD_CTX md_ctx;
^~~~~~
/root/php-5.5.10/ext/openssl/openssl.c: In function 'zif_openssl_seal':
/root/php-5.5.10/ext/openssl/openssl.c:4335:17: error: storage size of 'ctx' isn't known
EVP_CIPHER_CTX ctx;
^~~
/root/php-5.5.10/ext/openssl/openssl.c: In function 'zif_openssl_open':
/root/php-5.5.10/ext/openssl/openssl.c:4455:17: error: storage size of 'ctx' isn't known
EVP_CIPHER_CTX ctx;
^~~
/root/php-5.5.10/ext/openssl/openssl.c: In function 'zif_openssl_digest':
/root/php-5.5.10/ext/openssl/openssl.c:4813:13: error: storage size of 'md_ctx' isn't known
EVP_MD_CTX md_ctx;
^~~~~~
/root/php-5.5.10/ext/openssl/openssl.c: In function 'zif_openssl_encrypt':
/root/php-5.5.10/ext/openssl/openssl.c:4892:17: error: storage size of 'cipher_ctx' isn't known
EVP_CIPHER_CTX cipher_ctx;
^~~~~~~~~~
/root/php-5.5.10/ext/openssl/openssl.c: In function 'zif_openssl_decrypt':
/root/php-5.5.10/ext/openssl/openssl.c:4971:17: error: storage size of 'cipher_ctx' isn't known
EVP_CIPHER_CTX cipher_ctx;
^~~~~~~~~~
/root/php-5.5.10/ext/openssl/openssl.c: In function 'zif_openssl_random_pseudo_bytes':
/root/php-5.5.10/ext/openssl/openssl.c:5147:2: warning: 'RAND_pseudo_bytes' is deprecated [-Wdeprecated-declarations]
if ((strong_result = RAND_pseudo_bytes(buffer, buffer_length)) < 0) {
^~
In file included from /usr/include/openssl/evp.h:13:0,
from /root/php-5.5.10/ext/openssl/openssl.c:43:
/usr/include/openssl/rand.h:44:1: note: declared here
DEPRECATEDIN_1_1_0(int RAND_pseudo_bytes(unsigned char *buf, int num))
^
Makefile:619: recipe for target 'ext/openssl/openssl.lo' failed
make: *** [ext/openssl/openssl.lo] Error 1

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Sat May 30, 2020 1:07 pm
by dpeca
lamnian wrote:
Sat May 30, 2020 12:11 pm
dpeca wrote:
Sat May 30, 2020 10:31 am

https://oweissbarth.de/building-php-fpm ... ntu-linux/
and change my template to point to /etc/php/ instead /etc/php/5.6/
Thanks but I cake make the php I get errors from openssl
Makefile:619: recipe for target 'ext/openssl/openssl.lo' failed
make: *** [ext/openssl/openssl.lo] Error 1
It's probably impossible to build such old PHP version on new distributions, because old PHP is not built to work with new libs.
You probably need very very old Debian/Ubutnu (that has such old libs, old as PHP 5.5) in order to successfully compile PHP 5.5.

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Mon Jun 01, 2020 1:01 pm
by Kakarot
hi. It works well for me, but when I select a version of php that is not the "Default" in "Web Template" I get an error:

" [proxy_fcgi:error] [pid 3078] [client 186.225.187.57:47828] AH01071: Got error 'PHP message: phpmyadmin: Failed to load /var/lib/phpmyadmin/blowfish_secret.inc.php Check group www-data has read access and open_basedir restrictions.PHP message: phpmyadmin: Failed to load /var/lib/phpmyadmin/config.inc.php Check group www-data has read access and open_basedir restrictions.PHP message: phpmyadmin: Failed to load /etc/phpmyadmin/config-db.php Check group www-data has read access and open_basedir restrictions.'"

That IP is not mine. When I select "default" in "web Template" that error never appears, but if I select PHP-FPM the error appears.
Any idea what the problem may be? I'm a novice with this.

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Tue Jun 16, 2020 11:03 am
by DiamondB
Hi, I am on debian 9 and your multiphp works flawless, just one problem.

After installing multiphp phpmyadmin limits are not changing, I even changed limits in all php.ini of all versions still cant manage to change on phpmyadmin, I cant really find its just fixed to 80M ( upload ) dunno where its set. Please tell me how to edit phpmyadmin limits.

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Tue Jun 16, 2020 11:06 am
by dpeca
DiamondB wrote:
Tue Jun 16, 2020 11:03 am
Hi, I am on debian 9 and your multiphp works flawless, just one problem.

After installing multiphp phpmyadmin limits are not changing, I even changed limits in all php.ini of all versions still cant manage to change on phpmyadmin, I cant really find its just fixed to 80M ( upload ) dunno where its set. Please tell me how to edit phpmyadmin limits.
edit /etc/php/7.x/fpm/pool.d/your-domain.com.conf

service php7.x-fpm restart

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Sat Aug 15, 2020 7:02 pm
by AntiStas
I have Debian 9, Vesta 0.9.8, PHP 7.0.33.
I added PHP 5.6, selected template PHP-FPM-56 - and i see the php code in my browser
Image
UP: I added PHP 7.4, selected template PHP-FPM-74 and i see php code in my browser
Only default template works

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Sat Aug 15, 2020 11:12 pm
by dpeca
AntiStas wrote:
Sat Aug 15, 2020 7:02 pm
I have Debian 9, Vesta 0.9.8, PHP 7.0.33.
I added PHP 5.6, selected template PHP-FPM-56 - and i see the php code in my browser
Image
UP: I added PHP 7.4, selected template PHP-FPM-74 and i see php code in my browser
Only default template works
Probably you missed some step.